Bug 4593 - CAMPAIGN: C WS-Delegation Utils (Refresh/Program/Tests)
: CAMPAIGN: C WS-Delegation Utils (Refresh/Program/Tests)
Status: RESOLVED FIXED
: Delegation Service
Campaign
: unspecified
: PC Linux
: P3 normal
: 4.2
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2006-07-14 09:55 by
Modified: 2007-02-16 15:31 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-07-14 09:55:32
Title: C WS-Delegation Utils (Refresh/Program/Tests)

Technologies: WS-Delegation

Definition:

The WS-Delegation provides functionality for creating new credential resources
and refreshing existing credentials. The refresh operation contacts an
existing Delegation Resource and delegates a new credential to the resource.
Services which are configured to use the Delegation Resource will be notified
that a new credential exists.

The C WS-Delegation client utilities library contains functions to simplify
interaction with the WS-Delegation service. It performs GSI operations to do
delegation and converts the GSI packets into XML structures which can be used
with the WS-Delegation SOAP bindings.

One major feature missing from this library is support for this "refresh"
operation. Because of this, c clients are unable to update the credentials used
by a service. The package should also contain a client program which can
do delegation and refresh operations. This could be scripted to be used as
test cases for the library.

Deliverables:
- new API functions for refreshing credentials.
- Client program which can create new credentials and refresh them
- Test script which uses the above program plus those in core wsrf tools
  package to verify the creation of resources

Tasks:
- Add new functions to API with documentation
    - globus_delegation_client_util_refresh_epr_register()
    - globus_delegation_client_util_refresh_epr()
- Write new program globus-delegation-client which can handle delegation
  and refresh operations
- Write test scripts which delegate and refresh credentials using the client
  program
- Add documentation to WS-Delegation web containing usage scenarios for the
  API and command line program description and examples

Time Estimate:
- 8 days
------- Comment #1 From 2006-11-07 12:14:57 -------
Most of this has been done while waiting for other tasks (compiles, test runes,
etc) to complete. The only bits needing to be done are to write the API use
cases and commit the documentation for the command-line program.
------- Comment #2 From 2006-11-09 16:23:19 -------
The code for the new program and tests is now committed to the CVS trunk. I
added the documentation to the 4.2-drafts documentation tree.

joe